Multivariate Pattern Analysis in Python

# mvpa2.misc.surfing.volume_mask_dict

Dictionary (mapping) for storing several volume masks.

A typical use case is storing results from (surface-based) voxel selection.

@author: nick

WiP. TODO: make target to sources dictionary computations ‘lazy’-only compute the first time this is asked. XXX How to deal with __setstate__ and __getstate__ - have to flag somehow whether this mapping was present.

Functions

`from_any`(s) | Load (if a string) or just return voxel selection

Classes

`VolumeMaskDictionary`(vg, source[, meta, …]) | Collection of 3D volume masks, indexed by integers or strings.